Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.trmi
Interface CompositeTransactionServer

All Superinterfaces:
  Remote

All Known Implementing Classes:
  _CompositeTransactionServer_Stub, _TrmiTransactionManager_Stub, TrmiTransactionManager, TrmiTransactionManager_Stub

    public interface CompositeTransactionServer

extends Remote

A server for composite transactions maps requests to the right instance.

Method Summary
`com.atomikos.icatch.trmi.RecoveryCoordinatorProxy` | `addParticipant(Participant participant, String txid)` Add a new participant to the transaction of the given tid.
`void` | `addSubTxAwareParticipant(SubTxAwareParticipant subtxaware, String txid)` Add a subtx aware participant to the given tx.

Method Detail

### addSubTxAwareParticipant

    void addSubTxAwareParticipant(SubTxAwareParticipant subtxaware,
                                  String txid)
                                  throws SysException,
                                         IllegalStateException,
                                         RemoteException

  Add a subtx aware participant to the given tx.

  Parameters:
    `subtxaware` - The participant to add, will be notified on end().
    `txid` - The ID of the transaction to which the participant must be added.
  Throws:
    `SysException` - Unexpected error.
    `IllegalStateException` - If txid is no longer an active tx.
    `RemoteException`

### addParticipant

    com.atomikos.icatch.trmi.RecoveryCoordinatorProxy addParticipant(Participant participant,
                                                                     String txid)
                                                                     throws SysException,
                                                                            IllegalStateException,
                                                                            RemoteException

  Add a new participant to the transaction of the given tid.

  Parameters:
    `root` - The tid for whom to add.
    `participantproxy` - The participant proxy to add.
  Returns:
    RecoveryCoordinatorProxy Whom to ask for indoubt timeout resolution.
  Throws:
    `SysException` - Unexpected.
    `IllegalStateException` - Illegal state.
    `RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.